> ## Documentation Index
> Fetch the complete documentation index at: https://docs.unibee.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Vat Number Validation History

## Endpoint Overview

**POST** `https://api.unibee.dev/merchant/vat/vat_number_validate_history`

Vat Number Validation History

***

## Authorization

All UniBee Merchant API requests require authentication via API key.

| Header          | Required | Description                           |
| --------------- | -------- | ------------------------------------- |
| `Authorization` | Yes      | Bearer `<your_api_key>`               |
| `Content-Type`  | Yes      | `application/json` (for request body) |

***

## Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

### Request body

| Name              | Type    | Required | Description                                                               |
| ----------------- | ------- | -------- | ------------------------------------------------------------------------- |
| `count`           | integer | No       | Count Of Per Page                                                         |
| `countryCode`     | string  | No       | CountryCode                                                               |
| `createTimeEnd`   | integer | No       | CreateTimeEnd，UTC timestamp，seconds                                       |
| `createTimeStart` | integer | No       | CreateTimeStart，UTC timestamp，seconds                                     |
| `page`            | integer | No       | Page, Start 0                                                             |
| `searchKey`       | string  | No       | Search Key, vatNumber, validateGateway, company, company address, message |
| `sortField`       | string  | No       | Sort Field，gmt\_create\|gmt\_modify，Default gmt\_modify                   |
| `sortType`        | string  | No       | Sort Type，asc\|desc，Default desc                                          |
| `status`          | array   | No       | status, 0-Invalid，1-Valid                                                 |
| `validateGateway` | string  | No       | Filter Validate Gateway, vatsense                                         |
| `vatNumber`       | string  | No       | Filter Vat Number                                                         |

***

## Request examples

### cURL

```bash theme={null}
curl -X POST "https://api.unibee.dev/merchant/vat/vat_number_validate_history" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "count": 0,
  "countryCode": "",
  "createTimeEnd": 0,
  "createTimeStart": 0,
  "page": 0,
  "searchKey": "",
  "sortField": "",
  "sortType": "",
  "status": [],
  "validateGateway": "id_example",
  "vatNumber": ""
}'
```

### Sandbox

```bash theme={null}
curl -X POST "https://api-sandbox.unibee.top/merchant/vat/vat_number_validate_history" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "count": 0,
  "countryCode": "",
  "createTimeEnd": 0,
  "createTimeStart": 0,
  "page": 0,
  "searchKey": "",
  "sortField": "",
  "sortType": "",
  "status": [],
  "validateGateway": "id_example",
  "vatNumber": ""
}'
```

***

## Response

Success responses return a JSON envelope with `code`, `data`, `message`, `redirect`, and `requestId`. `code` `0` indicates success.

| Field                            | Type    | Description                  |
| -------------------------------- | ------- | ---------------------------- |
| `code`                           | integer | Response code. `0` = success |
| `data`                           | object  | Response payload             |
| `data.numberValidateHistoryList` | array   | NumberValidateHistoryList    |
| `data.total`                     | integer | Total                        |
| `message`                        | string  | Human-readable message       |
| `requestId`                      | string  | Request ID for support       |

***

## Error handling

| HTTP status | Meaning                                                                   |
| ----------- | ------------------------------------------------------------------------- |
| 400         | Bad request — invalid or missing parameters. Check `message` in the body. |
| 401         | Unauthorized — missing or invalid API key.                                |
| 404         | Not found — invalid path or resource.                                     |
| 500         | Server error — retry with backoff.                                        |

When `code` in the response body is non-zero, check `message` for details. Use `requestId` when contacting support.


## OpenAPI

````yaml post /merchant/vat/vat_number_validate_history
openapi: 3.0.0
info:
  description: UniBee Api Server
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  title: OpenAPI UniBee
  version: daily,buildtime:202603161017
servers:
  - url: https://api.unibee.dev
  - url: https://api-sandbox.unibee.top
security:
  - Authorization: []
paths:
  /merchant/vat/vat_number_validate_history:
    post:
      tags:
        - Vat Gateway
      summary: Vat Number Validation History
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/unibee.api.merchant.vat.NumberValidateHistoryReq
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  code:
                    format: int
                    properties: {}
                    type: integer
                  data:
                    properties:
                      numberValidateHistoryList:
                        description: NumberValidateHistoryList
                        format: '[]*bean.MerchantVatNumberVerifyHistory'
                        items:
                          $ref: >-
                            #/components/schemas/unibee.api.bean.MerchantVatNumberVerifyHistory
                        properties: {}
                        type: array
                      total:
                        description: Total
                        format: int
                        properties: {}
                        type: integer
                    type: object
                  merchantId:
                    format: int64
                    properties: {}
                    type: integer
                  message:
                    format: string
                    properties: {}
                    type: string
                  redirect:
                    format: string
                    properties: {}
                    type: string
                  requestId:
                    format: string
                    properties: {}
                    type: string
                type: object
          description: ''
components:
  schemas:
    unibee.api.merchant.vat.NumberValidateHistoryReq:
      properties:
        count:
          description: Count Of Per Page
          format: int
          properties: {}
          type: integer
        countryCode:
          description: CountryCode
          format: string
          properties: {}
          type: string
        createTimeEnd:
          description: CreateTimeEnd，UTC timestamp，seconds
          format: int64
          properties: {}
          type: integer
        createTimeStart:
          description: CreateTimeStart，UTC timestamp，seconds
          format: int64
          properties: {}
          type: integer
        page:
          description: Page, Start 0
          format: int
          properties: {}
          type: integer
        searchKey:
          description: >-
            Search Key, vatNumber, validateGateway, company, company address,
            message
          format: string
          properties: {}
          type: string
        sortField:
          description: Sort Field，gmt_create|gmt_modify，Default gmt_modify
          format: string
          properties: {}
          type: string
        sortType:
          description: Sort Type，asc|desc，Default desc
          format: string
          properties: {}
          type: string
        status:
          description: status, 0-Invalid，1-Valid
          format: '[]int'
          items:
            format: int
            properties: {}
            type: integer
          properties: {}
          type: array
        validateGateway:
          description: Filter Validate Gateway, vatsense
          format: string
          properties: {}
          type: string
        vatNumber:
          description: Filter Vat Number
          format: string
          properties: {}
          type: string
      type: object
    unibee.api.bean.MerchantVatNumberVerifyHistory:
      properties:
        companyAddress:
          description: company_address
          format: string
          properties: {}
          type: string
        companyName:
          description: company_name
          format: string
          properties: {}
          type: string
        countryCode:
          description: country_code
          format: string
          properties: {}
          type: string
        createTime:
          description: create utc time
          format: int64
          properties: {}
          type: integer
        id:
          description: Id
          format: int64
          properties: {}
          type: integer
        manualValidate:
          description: manual_validate
          format: bool
          properties: {}
          type: boolean
        merchantId:
          description: merchantId
          format: int64
          properties: {}
          type: integer
        status:
          description: status, 0-Invalid，1-Valid
          format: int64
          properties: {}
          type: integer
        validateGateway:
          description: validate_gateway
          format: string
          properties: {}
          type: string
        validateMessage:
          description: validate_message
          format: string
          properties: {}
          type: string
        vatNumber:
          description: vat_number
          format: string
          properties: {}
          type: string
      type: object
  securitySchemes:
    Authorization:
      bearerFormat: JWT
      scheme: bearer
      type: http

````